<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Anti bot (v.0.1)
 *   Copyright © 2013 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
 * ---------------------------------------------------------
 */

class PluginAb_HookAb extends Hook
{

    public function RegisterHook()
    {
        $this->AddHook('template_profile_top_end', 'ProfileTopEnd', __CLASS__, 77);
        $this->AddHook('topic_add_after', 'EditTopicAfter', __CLASS__, 77);
        $this->AddHook('topic_edit_after', 'EditTopicAfter', __CLASS__, 77);

        $this->AddHook('template_copyright', 'Copyright', __CLASS__);
    }

    public function ProfileTopEnd($aVar)
    {
        $oUserProfile = $aVar['oUserProfile'];
        return $this->Viewer_Fetch(Plugin::GetTemplatePath('ab') . 'profile.top_end.tpl');
    }

    public function EditTopicAfter($aVar)
    {
        $oTopic = $aVar['oTopic'];
        if ($oUserCurrent = $this->User_GetUserCurrent()){
            if ($oUserCurrent->getIsBot()){
                $oBlog = $this->Blog_GetBlogByUrl(Config::Get('plugin.ab.blog_bot_url'));
                $oTopic->setBlogId($oBlog->getId());
                $this->Topic_UpdateTopic($oTopic);
                $aVar['oBlog'] = $oBlog;
                $this->Message_AddNoticeSingle($this->Lang_Get('plugin.ab.notice_is_moderation'), $this->Lang_Get('attention'), 1);
                return $aVar;
            }
        }
    }

    public function Copyright()
    {
        if (Router::GetAction()!='index') {
            return;
        }
        return '<a href="http://catalognica.ru" target="_blank">Спонсор - catalognica.ru</a><br />';
    }

}

?>
